#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dec
version:              0.0.5
visibility:           public
id:                   dec-0.0.5-6QA9k3yQ9FHGRhdstuGCf0
key:                  dec-0.0.5-6QA9k3yQ9FHGRhdstuGCf0
license:              BSD-3-Clause
copyright:            (c) 2019-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/vec
synopsis:             Decidable propositions.
description:
    This package provides a @Dec@ type.

    @
    type Neg a = a -> Void

    data Dec a
    \    = Yes a
    \    | No (Neg a)
    @

category:             Data, Dependent Types
abi:                  8a08de444283765cdff440cc11f3f538
exposed:              True
exposed-modules:      Data.Type.Dec
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dec-0.0.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dec-0.0.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dec
hs-libraries:         HSdec-0.0.5-6QA9k3yQ9FHGRhdstuGCf0
depends:              base-4.15.1.0 boring-0.2-88LJi5alhF9BV9c6iYULJw
haddock-interfaces:   /usr/share/doc/haskell-dec/html/dec.haddock
haddock-html:         /usr/share/doc/haskell-dec/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

